### execution::outstanding_work_t

A property to describe whether task submission is likely in the future.

    struct outstanding_work_t

##### Types

Name | Description
--- | ---
tracked_t | A sub-property that indicates that the executor represents likely future submission of a function object.
untracked_t | A sub-property that indicates that the executor does not represent likely future submission of a function object.
polymorphic_query_result_type | The type returned by queries against an any_executor.

##### Member Functions

Name | Description
--- | ---
outstanding_work_t [constructor] | Default constructor. — Construct from a sub-property value.

##### Data Members

Name | Description
--- | ---
is_applicable_property_v [static] | The outstanding_work_t property applies to executors.
is_preferable [static] | The top-level outstanding_work_t property cannot be preferred.
is_requirable [static] | The top-level outstanding_work_t property cannot be required.
tracked [static] | A special value used for accessing the outstanding_work_t::tracked_t property.
untracked [static] | A special value used for accessing the outstanding_work_t::untracked_t property.

##### Friends

Name | Description
--- | ---
operator!= | Compare property values for inequality.
operator== | Compare property values for equality.

##### Requirements

Header: `asio/execution/outstanding_work.hpp`

Convenience header: `asio/execution.hpp`